import { GlobalEnvironment } from "../../Environment/GlobalEnvironment.js";
import GroupModel from "../../Models/GroupModel.js";
import { BaseView, IBaseViewOptions } from "../BaseView.js";
export interface IAssemblerViewOptions extends IBaseViewOptions {
    source: GroupModel;
    visible?: boolean;
    isDefaultView?: boolean;
}
export declare class AssemblerView extends BaseView {
    private m_initialRender;
    constructor(options: IAssemblerViewOptions);
    get visible(): boolean;
    get source(): GroupModel;
    get globals(): GlobalEnvironment;
    private get isDefaultView();
    private get hasBeenViewed();
    private set hasBeenViewed(value);
    protected get hasFocus(): boolean;
    protected set hasFocus(value: boolean);
    template(): string | Array<string> | JQuery;
    show(): void;
    hide(): void;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    protected onComplete(e: Jade.UI.ControlEventArgs): void;
    protected focusView(): void;
    protected onInitialView(): void;
    protected onFocusedView(): void;
}
